Real-Time Measurement and Control

cancel
Showing results for 
Search instead for 
Did you mean: 

opkg update leads to parse_userfields error

Solved!
Go to solution
Highlighted

Hi, I just received several new cRIO-9056 devices and have started setting them up. Running

opkg update 

leads to a numerous errors on any subsequent opkg commands, all saying:

parse_userfields: Failed to parse User Field line for (null)

 Package lists that are fetched are:

Downloading http://download.ni.com/ni-linux-rt/feeds/2018.5/x64/all/Packages.gz.
Updated source 'uri-all-0'.
Downloading http://download.ni.com/ni-linux-rt/feeds/2018.5/x64/core2-64/Packages.gz.
Updated source 'uri-core2-64-0'.
Downloading http://download.ni.com/ni-linux-rt/feeds/2018.5/x64/x64/Packages.gz.
Updated source 'uri-x64-0'.

 Clearing the opkg cache helps, but if course I no longer have the updated packages. Is this an issue with opkg or is there an issue with some of the published package manifests? Thanks.

 

Also, I cannot post to the NI Linux Real Time discussion board ... I keep getting a "form.MessageEditor.action.ChooseBoard.error" on Chrome, Firefox, and Edge. Hopefully someone here can help too.

0 Kudos
Message 1 of 2
(842 Views)
Highlighted
Solution
Accepted by topic author jonjara

Nevermind, likely solved. Internal firewall was misconfigured and the package lists were not being correctly downloaded.

0 Kudos
Message 2 of 2
(828 Views)